Issue 40813 - use different terms for Draw and Impress: "page" vs "slide"
Summary: use different terms for Draw and Impress: "page" vs "slide"
Status: REOPENED
Alias: None
Product: documentation
Classification: Unclassified
Component: Online help (show other issues)
Version: 680m70
Hardware: All All
: P3 Trivial (vote)
Target Milestone: AOO PleaseHelp
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 52641 53057 (view as issue list)
Depends on: 42865
Blocks:
  Show dependency tree
 
Reported: 2005-01-17 16:07 UTC by IngridvdM
Modified: 2017-05-20 10:45 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description IngridvdM 2005-01-17 16:07:57 UTC
Impress and Draw need to differentiate between 'slide' and 'page' in the ui. In
Impress the term 'slide' should be used. In Draw the term 'page' should be used.
I quick look on the help gives the impression that impress is ok (if not so
please create another task with higher Prio because Impress is considered to be
more important than Draw).
But there are some items in Draw that have a wrong help text. Please correct
them but make sure that this correction changes the help only for the Draw
module as the same uno commands are used for Impress and Draw:

1) Draw: Menu-Edit- D~elete Slide... (.uno:DeletePage)
2) Draw: Menu-Insert- Slid~e... (.uno:InsertPage)
3) Menu-Insert- D~uplicate Slide (.uno:DuplicatePage)

The names of the following menu entries are wrong currently and will be
corrected in future to use the term 'page' instead of 'slide' also.
Comment 1 Uwe Fischer 2005-01-17 16:26:38 UTC
please specify "future". When will the names for the Draw menu items be changed,
for OOo 2.0 or later?
Comment 2 IngridvdM 2005-01-17 16:52:19 UTC
The target for that change is OOo 2.0 see Issue 40806.
Comment 3 Uwe Fischer 2005-02-01 08:01:40 UTC
changed text\simpress\00\00000402.xhp and text\simpress\01\02130000.xhp and
text\simpress\01\04010000.xhp and text\simpress\00\00000404.xhp
Comment 4 frank.thomas.peters 2005-02-21 12:56:11 UTC
Change Prio
Comment 5 Uwe Fischer 2005-02-22 09:46:39 UTC
failed
Menu Edit - Delete Page has wrong format; no link
Menu Insert: Slide still visible
Comment 6 IngridvdM 2005-02-23 10:44:48 UTC
The 3 strings in the menu are targeted to be fixed with Issue 42865. This task
it as risk to make it into the final as it depends on another issue. In my
opinion it would be nevertheless better to have a correct help here.
Comment 7 frank.thomas.peters 2005-03-02 15:37:07 UTC
So what's the status now?

The help text was changed before the menus were adjusted. 
The help was matching the menu entries. Now it does no more.

->UFI: *Never ever again* change the help for UI entries before you see the
changes in the UI.

How do we proceed with this one now? Check in master after hc680pb3 is integrated
and either retarget to later or set to invalid. 

Holy mess.
Comment 8 Uwe Fischer 2005-03-02 15:54:23 UTC
There is no mess. This change request was handled appropriately, although very
very close to the documentation deadline. The problem is work overload on
documentation in the few days before deadline (they all wait till the last days)
and too long turnaround cycles to see the results of any changes in time. So if
a change is not perfect on first try, there is no second chance until the next
version. This should be addressed.
Comment 9 frank.thomas.peters 2005-03-02 15:58:57 UTC
The mess I refer to here is that the change request was made to TechPubs and 
then the change may not make it into the product. So we're one step ahead (as
always). 

You're right, this must be addressed in context with the "document based on
specs" paradigm.

I didn't mean to blame one of /us/, of course ;-)
Comment 10 IngridvdM 2005-03-02 17:16:28 UTC
-> FPE: You will also risk inconsistency between product and help, if you first
make the changes in the product and afterwards in the help and documentation.
The only way to guaranty consistency would be to do the help and documentation
changes within the same CWS as the product fix. Maybe we should try such a
process change.
Comment 11 frank.thomas.peters 2005-03-02 20:32:29 UTC
->IHA: In general, I agree but usually documentation ought to follow
implementation and not the other way round. There are still some problems to be
overcome regarding the way we best implement help parallel to implementation.
Sharing a CWS for feature and help would be one option but poses other issues,
one of them being that the help is *big* and would be part of almost all feature
CWSs and the majority of bugfix CWSs preparing the ground for conflicts.
Comment 12 Uwe Fischer 2005-03-04 13:20:06 UTC
cannot be fixed for 2.0. retargeted
Comment 13 Uwe Fischer 2005-04-11 12:22:38 UTC
The UI change will take place not before SO9/OOo3. Help files will be changed
following the UI changes. Set target to later.
Comment 14 Uwe Fischer 2005-08-01 09:01:10 UTC
*** Issue 52641 has been marked as a duplicate of this issue. ***
Comment 15 Uwe Fischer 2005-08-09 08:14:35 UTC
*** Issue 53057 has been marked as a duplicate of this issue. ***
Comment 16 Marcus 2017-05-20 10:45:09 UTC
Reset the assignee to the default "issues@openoffice.apache.org".